The tag has no wiki summary.

learn more… | top users | synonyms

2
votes
1answer
548 views

Upgraded from 2.8.x to 3.3.1 and lost content

First of all I did a manual upgrade of the wordpress site. I did everything by the book. I disabled all plugins, did all the backups. I upgraded to the new version, everything went fine. Only that I ...
0
votes
1answer
75 views

My plugin does not install correctly if a previous version is still installed

My plugin only installs correctly if the user first deactivates and then deletes a previously installed version. If they do not delete the previous version, the installation either does not complete ...
0
votes
1answer
52 views

Wordpress 2.7 upgrade protocol

I have been entrusted with this site http://equanimityconcepts.com.au and it's running wordpress 2.7. It's theme is a custom designed theme and hasn't had any plugin updates since about 2010. I am ...
0
votes
1answer
419 views

dbdelta failing with error: "WordPress database error Table 'wp_2_myPlugin' already exists

I'm upgrading a plugin and having issues with dbdelta. Here's the original db creation function: global $jal_db_version; $jal_db_version = "0.1"; function jal_install() { global ...
0
votes
1answer
92 views

“WordPress installations is currently out of date” problem with difficult situation [closed]

[NOTE] I had asked this question in wordpress.org's support forum one month ago. But I didn't get any feedback there. And I am not sure whether or not this is right place to ask this question. But I ...
0
votes
2answers
66 views

Publish issue after upgrading to 3.3

I have a weird issue after upgrading to WP 3.3. Currenty I have a Dreamhost dedicated server with WP 3.2. I've tried two times to upgrade to WP 3.3 and both times I had the same issue. First time, I ...
0
votes
3answers
110 views

How does WP decide how to evaluate database integrity

I've upgraded a handful of WPMU sites from 2.9 to WP3. I've never had problems with that process .. until today, when all of a sudden, one install tells me that the DB is missing some tables. The ...
3
votes
1answer
640 views

A Way to Auto update plugins using cron?

Is there a solution to keep plugins updated with wordpress by auto upgrade them without need to access to the admin panel every time?
0
votes
1answer
84 views

Hooks to run after a core upgrade?

Are there any hooks for running plugin code after a core upgrade? Specifically, I'm running into issues that a users wp-admin column choice in the 'Screen Options' are modified after an upgrade - I ...
1
vote
4answers
419 views

Upgrade Wordpress Database from 2.6 to 3.2

I'm trying to migrate an old wordpress site to a new host - the old installation hasn't been updated for a while and is still on 2.6.5 while the new install is 3.2.1 (current). Unfortunately the old ...
2
votes
2answers
169 views

Updating servers at once in web cluster

We have a pretty basic load balancing setup with 3 web servers behind a load balancer connected to the same db server and pointing their wp-content/uploads folder to an nfs share. We have the first ...
4
votes
2answers
4k views

Update Wordpress with SFTP instead of FTP

Is there a way to update Wordpress without the use of FTP, but with SFTP (which uses SSH)? I've only got my server set up for SSH access (and therefore SCP/SFTP).
0
votes
1answer
58 views

Requirements for hosting a single WordPress Blog (upgrades / backups)

I would like to start a single WordPress Blog. As I already have some experience with one provider and as it is really cheap, I would like to use the same service for my planned blog. They offer: 1 ...
2
votes
2answers
2k views

Import old SQL dump into new Wordpress version

I'm trying to restore a Wordpress blog from a backup. Unfortunately, all I have is an SQL dump of the database as generated by phpMyAdmin. The dump was created when the blog was running Wordpress ...
6
votes
2answers
6k views

Could not create directory /wp-content/upgrade/

When I try to automatically install updates to Wordpress or plugins, I receive an error: An error occurred while updating... Could not create directory .../wp-content/upgrade/... My web host ...
3
votes
6answers
298 views

How do WordPress veterans deal with the issues of upgrading WordPress?

Sometimes upgrading WP is catastrophic: critical plugins don't work any more (and new compatible versions don't exist yet). What do the WP veterans do about it? Do they upgrade WP after the boring ...
0
votes
2answers
207 views

Need help fixing sql syntax error after WP 3.2 upgrade

I'm using a plugin that failed after upgrade to wp3.2. The error log shows: WordPress database error You have an error in your SQL syntax; check the manual that corresponds to your MySQL server ...
1
vote
1answer
826 views

TinyMCE in Custom Metabox not loaded after upgrading from WP 3.1.4 to WP 3.2

I want something very simple: a custom metabox with a TinyMCE editor in it. The following code help me achieve that easily in 3.1.4: add_action( 'add_meta_boxes', 'add_metaname_box'); function ...
0
votes
1answer
149 views

My WP_Query didn't work after upgrading to WordPress 3.2

I created a custom loop using WP_Query for my featured content slider. <?php $slider_query = new WP_Query(); $slider_query->query("posts_per_page=5&tag=".(get_option('cgr_slider_tag'))" ...
2
votes
4answers
400 views

Client is using Softaculous to upgrade WordPress versions. How do I upgrade from the WordPress dashboard?

My client is using Softaculous for software upgrading. I tried upgrading from the WordPress dashboard and it wouldn't let me. Do I have to somehow "uninstall" Softaculous for this to work?
1
vote
2answers
470 views

error: An Unexpected HTTP Error occurred during the API request

I'm using wordpress version 3.1 and if I try to upgrade any plugin on any of my sites I get the error message error: An Unexpected HTTP Error occurred during the API request. Not by upgrading ...
0
votes
3answers
109 views

How to configure site for automatic upgrades

I have a WP site running on Ubuntu 11.04. I set the apache www-data user to have write permissions on the entire wordpress directory recursively. This made it possible to update the plugins ...
3
votes
5answers
5k views

Site stuck in “Database Update Required” loop

I just updated to 3.1.3 and now when I go to the admin I get the "Database Update Required" /wp-admin/upgrade.php screen. I click 'Upgrade Now' and it says it's done, but then trying to access ...
0
votes
2answers
291 views

upgrade has caused page content to disappear

I've just transferred a site from one server to another and gone through it and tested it and made sure all the content was there etc etc. I then did a backup of the database via phpMyAdmin and did an ...
1
vote
3answers
107 views

How can I transition a site from using the Beta Tester plugin to a “normal” install?

I'm currently using the WordPress Beta Tester plugin on a site. Is there a "best" way to transition the site to a "normal" WordPress install? The plugin includes this notice: Please note: Once you ...
3
votes
2answers
1k views

How to check plugin compatibility before upgrading Wordpress

When you're upgrading a plugin you can quickly check if the plugin version you are about to upgrade to works with your current version of Wordpress. Is there a way of checking that your current ...
2
votes
3answers
5k views

3.1.3 auto-upgrade

Any ideas on this? I earlier got an error on some update directory, and manually deleted it (unfortunately I didn't write it down). I think I've done auto-upgrades on the same domain before. ...
5
votes
5answers
360 views

How can I migrate a super old version (2.0) of my blog to 3.1?

I can't use any of the import plugins because of the older version -- so it's kind of a pain, plus the URL permalinks arent very optimal. Any ideas on how to do this? I'm afraid I'd have to do this ...
0
votes
1answer
730 views

How to fix this PHP warning in WP-Admin after upgrading to 3.1.2?

I just upgraded from 3.0 to 3.1.2 and in the comments column under Posts in the WP Admin, this error keeps appearing for every row: Warning: number_format() expects parameter 1 to be double, ...
0
votes
2answers
388 views

Upgrading WordPress (File permission group owner)

I have a problem when i want to upgrade Wordpress or install plugin via the Admin. It's say that I don't have the permission to write. but I can upload images and other things... but i cannot install ...
-1
votes
2answers
523 views

Upgrade to 3.1.1 Fails

When doing an automatic upgrade, I get this: Downloading update from http://wordpress.org/wordpress-3.1.1.zip… Unpacking the update… Could not create directory.: /public_html Installation Failed ...
0
votes
3answers
194 views

Does WP delete deprecated plugin/theme files on plugin/theme upgrade?

Let's say theme 1.0 is installed with 30 files in it. Then two weeks later theme is upgraded to theme 2.0 which contains only 10 files. Do those older 20 files get automatically deleted after upgrade? ...
0
votes
2answers
90 views

When will be the next major update for wordpress?

My client isn't a great fan of updates so I want to assure him that the next major upgrade will be at least 3-4 months down the line. I just upgraded his blog to 3.1 - (YAY!) Would anyone concur with ...
1
vote
1answer
238 views

WP 3.1 upgrade breaks AutoFocus+ theme

I run WP for my photoblog ShutterScape using the awesome theme AutoFocus+. Recently, I upgraded to 3.1 and now, it refuses to show the featured images in the individual post pages. I am suspecting a ...
0
votes
1answer
1k views

WP already installed is asking to install

Hey guys, i did a mistake on a wp site, i uploaded a wrong wp-config.php file on the server during a 3.1 update, saw the mistake, recreated a good one with the good infos, uploaded the file and didnt ...
1
vote
1answer
201 views

WSOD after upgrading to 3.1

I installed the new wordpress 3.1, but it gave me some problems and I had restore everything, you'd know it help me? Practically after updating the site was completely white and I could not access the ...
1
vote
2answers
785 views

Empty space instead of admin bar

So I upgraded to 3.1 now I have a white band above the header of my website in the frontend when I'm logged in, I know this should be the control menu, but just a white band :-(
0
votes
3answers
2k views

Upgrade to 3.1 - Fatal error: Call to undefined function wp_cache_get()

I just upgraded to 3.1, and after refreshing I get the following error: Fatal error: Call to undefined function wp_cache_get() in /public_html/blog/wp-includes/functions.php on line 336 A ...
0
votes
1answer
751 views

Ordering Submenu Pages in WP 3.1

I just recently upgraded to WordPress 3.1 a few moments ago. However, I noticed that when you have Post Types show up under a *main* menu page, it overrides the link fo th menu link. Here's my ...
0
votes
1answer
1k views

The new WordPress 3.1 “Admin Menu” isn't appearing on my site or in the Dashboard

WordPress 3.1 added the Admin Bar feature, similar to the one used in WordPress.com websites, which appears on both the website and Dashboard for logged in users (if enabled in your User settings). ...
2
votes
3answers
287 views

Is the built-in updater the “best” way to upgrade WP installations?

With the release of WordPress 3.1, I'm about to update my own WP installation. I've had a thought about the different ways one can do the update: by hand (ugh), via Subversion checkout on the server, ...
0
votes
1answer
727 views

WordPress crashes with “The service is unavailable.” after trying to upgrade plugins

i went to upgrade my plugins and it never came back .. now when i go to my blog i get an error stating: The service is unavailable. i tried renaming the "upgrade" folder under wp-content but that ...
2
votes
1answer
4k views

List Category Posts plugin upgrade fails with fatal error

I just tried an automatic upgrade of List Category Posts plugin to version 0.17.2 on WordPress 3.0.5. I think I had 0.17.1 before. It installed but failed to activate: Plugin could not be activated ...
0
votes
2answers
170 views

What happens to the mu-plugins folder when you upgrade to Wordpress 3?

I am about to press the "upgrade" button in my Wordpress MU 2.8 install. What is going to happen to the mu-plugins folder? And is there an equivalent way for me to automatically activate a plugin ...
0
votes
1answer
183 views

Wordpress MU 2.9.2 to 3.0.5 changes to category.php

In the latest version of WP I see the category.php page is now using edit-tags.php. The version Im running seems to have an issue with the search feature on this page whereas the new version doesnt. ...
0
votes
2answers
110 views

How to run a test WordpressMu to Wordpress3 update?

Currently I am running a wordpress MU site with ~100 blogs. It's Wordpress MU version 2.8.x Because it was so heavily used, I was asked not to update to Wordpress 3 right away. The users are ...
1
vote
2answers
52 views

Upgrading from 2.9.4 to 3.0.x and with a custom theme

I have a site where the Theme is VERY custom and I can no longer work with the developer. Should I be worried about the theme no longer working in 3.0.4. and if so what is the easiest way for me to ...
0
votes
1answer
268 views

Disable a plugin from ever upgrading?

Is there a way to mark a plugin as "never upgrade this plugin" ? I can't upgrade my OpenID plugin, and this prevents me from clicking the otherwise convenient "Upgrade All Plugins" button.
1
vote
1answer
130 views

Plugin Upgrade Strategy

Reading register_activation_hook() told me that in wordpress 3.1, this will only work for every plugin activation, not plugin upgrade. What I want to know is, what's the best plugin upgrade strategy? ...
0
votes
7answers
5k views

WP upgrade can't create directory even though perms are 777

I'm trying to upgrade to WP 3 but I'm getting a weird error when I try to do so: Downloading update from http://wordpress.org/wordpress-3.0.4.zip. Unpacking the update. Could not create directory: ...